/**
 * @file Packet.cpp
 *
 * Created on: 10-01-2017
 * @author Piotr Dergun
 */

#include "Packet.h"

Packet::Packet(string msg) : Packet()
{
	this->setMsg(msg);
}

void Packet::setSrcIp(string srcIp)
{
	this->srcIp = srcIp;
}

void Packet::setDstIp(string dstIp)
{
	this->dstIp = dstIp;
}

void Packet::setSrcPort(int srcPort)
{
	this->srcPort = srcPort;
}

void Packet::setDstPort(int dstPort)
{
	this->dstPort = dstPort;
}

void Packet::setMsg(string msg)
{
	this->msg = msg;
}

string Packet::getSrcIp()
{
	return this->srcIp;
}

string Packet::getDstIp()
{
	return this->dstIp;
}

int Packet::getSrcPort()
{
	return this->srcPort;
}

int Packet::getDstPort()
{
	return this->dstPort;
}

string Packet::getMsg()
{
	return this->msg;
}


