/**
 * @file Packet.h
 *
 * Created on: 10-01-2017
 * @author Piotr Dergun
 */

#ifndef PACKET_H_
#define PACKET_H_

#include "common.h"

class Packet
{
	/** adres IP źródłowy */
	string srcIp;
	/** adres IP docelowy */
	string dstIp;
	/** port źródłowy */
	int srcPort;
	/** port docelowy */
	int dstPort;
	/** treść pakietu - wiadomość, komunikat */
	string msg;
public:
	Packet() : srcIp("0.0.0.0"), dstIp("0.0.0.0"), srcPort(0), dstPort(0), msg("") {}
	Packet(string msg);

	/* mutuatory */
	void setSrcIp(string srcIp);
	void setDstIp(string dstIp);
	void setSrcPort(int srcPort);
	void setDstPort(int dstPort);
	void setMsg(string msg);
	string getSrcIp();
	string getDstIp();
	int getSrcPort();
	int getDstPort();
	string getMsg();
};

#endif /* PACKET_H_ */
